Users
Core
List users
/usersList users.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
name |
String |
Name |
email |
String |
E-mail address |
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of User objects.
Count users
/users/countCount users.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
name |
String |
Name |
email |
String |
E-mail address |
Response
A Count object.
Get a user
/users/{id}Groups
List IDs of groups user is a member of
/users/{id}/group-idsList the IDS of groups a user is a member of.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
workspaceId |
String |
Workspace ID |
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
expand |
Boolean |
Include inherited parent groups (defaults to false) |
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of group IDs.
Submissions
List a user's submissions
/users/{id}/submissionsList submissions made by a user.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
formId |
String |
Form ID |
workspaceId |
String |
Workspace ID |
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
limit |
Number |
Number of items to return |
offset |
Number |
Number of items to skip before returning |
Response
An array of Submission objects.
Count a user's submissions
/users/{id}/submissions/countCount submissions made by a user.
Filters
Provided via query string:
| Name | Type | Description |
|---|---|---|
id |
String |
ID |
formId |
String |
Form ID |
workspaceId |
String |
Workspace ID |
Response
A Count object.
Get a user's submission
/users/{id}/submissions/{id}Update a user's submission
/users/{id}/submissions/{id}Update a submission.
Parameters
Provided via query string:
| Name | Type | Description |
|---|---|---|
notifications |
Boolean |
Trigger form notifications |
webhooks |
Boolean |
Trigger form webhooks |
dataForwarding |
Boolean |
Trigger data forwarding |
Request Body
As JSON object with the following contents:
| Property | Type | Description |
|---|---|---|
data |
Object |
A patch object. The existing data is only modified for entries included in the patch. To clear an entry, use a Note that data is only accepted for fields with the following data types:
data property in the Submission definition for more details. |
Response
A Submission object.